### Method

# Fwupd SecurityAttr get_bios_setting_id

since: 1.8.4

#### Declaration [src]

    const gchar*
    fwupd_security_attr_get_bios_setting_id (
      FwupdSecurityAttr* self
    )

#### Description [src]

Gets the `FwupdBiosSetting` that can be used to improve this `FwupdSecurityAttr`.

Available since: 1.8.4

#### Return value

Type: `const gchar*`

The unique ID used for `FwupdBiosSetting` or NULL.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.